Bug 175826 - www/libxul: libxul 10 does not work for Eclipse-Devel SWT
www/libxul: libxul 10 does not work for Eclipse-Devel SWT
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-eclipse
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-04 13:00 UTC by Jimmy Kelley
Modified: 2013-03-03 02:10 UTC (History)
0 users

See Also:


Attachments
file.diff (3.27 KB, patch)
2013-02-04 13:00 UTC, Jimmy Kelley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Kelley 2013-02-04 13:00:00 UTC
The SWT plugin libraries in the eclipse-devel port will
not compile using libxul version 10.

Fix: Use the webkit-gtk2 library to provide the SWT browser functions instead
of libxul.

Patch attached with submission follows:
How-To-Repeat: With the libxul 10 port installed, build the eclipse-devel port:
  cd /usr/ports/java/eclipse-devel
  make
The port build will succeed, but a check of the build logs in the
work/eclipse-build-914dc6de2bfc5ee5819a229cf4877f7043040a92 directory
will show errors in the building of the SWT native libraries.
Comment 1 Edwin Groothuis freebsd_committer 2013-02-04 20:56:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Florian Smeets freebsd_committer 2013-02-04 23:15:49 UTC
Responsible Changed
From-To: gecko->freebsd-eclipse

Over to maintainer.
Comment 3 dfilter freebsd_committer 2013-03-03 02:05:36 UTC
Author: glewis
Date: Sun Mar  3 02:05:27 2013
New Revision: 313320
URL: http://svnweb.freebsd.org/changeset/ports/313320

Log:
  . Use the webkit-gtk2 library to provide the SWT browser functions instead
    of libxul since the SWT plugin libraries in the eclipse-devel port will
    not compile using libxul version 10.
  
  PR:		175826
  Submitted by:	Jimmy Kelley <ljboiler@gmail.com>

Modified:
  head/java/eclipse-devel/Makefile
  head/java/eclipse-devel/files/freebsd-support.patch

Modified: head/java/eclipse-devel/Makefile
==============================================================================
--- head/java/eclipse-devel/Makefile	Sun Mar  3 01:45:00 2013	(r313319)
+++ head/java/eclipse-devel/Makefile	Sun Mar  3 02:05:27 2013	(r313320)
@@ -7,7 +7,7 @@
 
 PORTNAME=	eclipse-devel
 PORTVERSION=	4.2.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	java devel
 MASTER_SITES=	http://download.eclipse.org/technology/linuxtools/eclipse-build/4.2.x/:1 \
 		http://download.eclipse.org/tools/orbit/downloads/drops/R20120119162704/repository/plugins/:2 \
@@ -40,7 +40,8 @@ BUILD_DEPENDS=	gpatch:${PORTSDIR}/devel/
 		rsync:${PORTSDIR}/net/rsync \
 		unzip:${PORTSDIR}/archivers/unzip \
 		zip:${PORTSDIR}/archivers/zip
-LIB_DEPENDS=	cairo.2:${PORTSDIR}/graphics/cairo
+LIB_DEPENDS=	cairo.2:${PORTSDIR}/graphics/cairo \
+		webkitgtk-1.0.0:${PORTSDIR}/www/webkit-gtk2
 
 OPTIONS_DEFINE=	TESTS
 TESTS_DESC= 	"Build SDK test suite"
@@ -48,7 +49,6 @@ TESTS_DESC= 	"Build SDK test suite"
 ONLY_FOR_ARCHS=	i386 amd64
 
 USE_ANT=	yes
-USE_GECKO=	libxul19
 USE_GL=		glu
 USE_GMAKE=	yes
 USE_GNOME=	desktopfileutils gconf2 gtk20 gnomevfs2 libgnome libgnomeui pkgconfig

Modified: head/java/eclipse-devel/files/freebsd-support.patch
==============================================================================
--- head/java/eclipse-devel/files/freebsd-support.patch	Sun Mar  3 01:45:00 2013	(r313319)
+++ head/java/eclipse-devel/files/freebsd-support.patch	Sun Mar  3 02:05:27 2013	(r313320)
@@ -7206,3 +7206,47 @@ $FreeBSD$
  	else
  		echo "None of the following libraries were found:  Mozilla/XPCOM, Firefox/XPCOM, or XULRunner/XPCOM"
  		echo "    *** Mozilla embedding support will not be compiled."
+--- build/eclipse-4.2.0-I20120608-1400-src/plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh.orig	2013-02-03 07:08:39.000000000 -0600
++++ build/eclipse-4.2.0-I20120608-1400-src/plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/build.sh	2013-02-03 07:24:06.000000000 -0600
+@@ -493,7 +493,7 @@
+ 		export MOZILLA_INCLUDES
+ 		export MOZILLA_LIBS
+ 		MAKE_MOZILLA=make_mozilla
+-	elif [ x`pkg-config --exists libxul && echo YES` = "xYES" ]; then
++	elif [ x`pkg-config --exists "libxul < 2" && echo YES` = "xYES" ]; then
+ 		XULRUNNER_INCLUDES=`pkg-config --cflags libxul`
+ 		XULRUNNER_LIBS=`pkg-config --libs libxul`
+ 		XULRUNNER_LIBS=`echo ${XULRUNNER_LIBS} -lxpcomglue`
+@@ -506,6 +506,14 @@
+ 	fi
+ fi
+ 
++if [ x`pkg-config --exists webkit-1.0 && echo YES` = "xYES" ]; then
++	echo "WebKit found, compiling webkit embedded browser support."
++	MAKE_WEBKIT=make_webkit
++else
++	echo "WebKit not found:"
++	echo "    *** WebKit embedding support will not be compiled."
++fi
++
+ # Find AWT if available
+ if [ -z "${AWT_LIB_PATH}" ]; then
+ 	if [ -f ${JAVA_HOME}/jre/lib/${AWT_ARCH}/libjawt.* ]; then
+@@ -534,5 +542,5 @@
+ if [ "x${1}" = "xclean" ]; then
+ 	${MAKE_TYPE} -f $MAKEFILE clean
+ else
+-	${MAKE_TYPE} -f $MAKEFILE all $MAKE_GNOME $MAKE_CAIRO $MAKE_AWT $MAKE_MOZILLA ${1} ${2} ${3} ${4} ${5} ${6} ${7} ${8} ${9}
++	${MAKE_TYPE} -f $MAKEFILE all $MAKE_GNOME $MAKE_CAIRO $MAKE_AWT $MAKE_MOZILLA $MAKE_WEBKIT ${1} ${2} ${3} ${4} ${5} ${6} ${7} ${8} ${9}
+ fi
+--- build/eclipse-4.2.0-I20120608-1400-src/plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/make_freebsd.mak.orig	2013-02-03 07:08:39.000000000 -0600
++++ build/eclipse-4.2.0-I20120608-1400-src/plugins/org.eclipse.swt/Eclipse SWT PI/gtk/library/make_freebsd.mak	2013-02-03 07:24:06.000000000 -0600
+@@ -26,7 +26,8 @@
+ GNOME_PREFIX = swt-gnome
+ MOZILLA_PREFIX = swt-mozilla$(GCC_VERSION)
+ XULRUNNER_PREFIX = swt-xulrunner
+ XPCOMINIT_PREFIX = swt-xpcominit
++WEBKIT_PREFIX = swt-webkit
+ GLX_PREFIX = swt-glx
+
+ SWT_LIB = lib$(SWT_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Greg Lewis freebsd_committer 2013-03-03 02:06:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!